
*) 1999-12-31 (1.3.7 - 1.3.8)

 - Added 'dontprintlogs' flag in the config file. Useful when building on
   slow terminals like network connections, xterms, framebuffer devs, etc.
 - Added the 'rock-src/misc/archive/mini-makedevs.sh' script
 - dump-config iptables: fixed dumping of default policies, fixed down script
 - skaar: updated screen-3.9.5, added autofs-3.1.3
 - disabled enlightenment help for the desktop operations
 - Added docs: port docu for ppc and sparc, 3rd party cross compile howto

*) 1999-12-30 (1.3.7 - 1.3.8)

 - Updated: bttv-0.7.11, dia-0.83, groff-1.15, isdn4k-utils-9912291200,
            linux-2.3.35, modutils-2.3.9, ntp-4.0.98i, ppp-2.3.11, proxy-2.2,
            whois_4.4.5, xawtv-3.03
 - Fixed for PPC/iMAc: ncurses and cron

*) 1999-12-29 (1.3.7 - 1.3.8)

 - Ported patch to ppc (and all other big endian archs)
 - Removed need for 'readlink' when loading the keymaps
 - modutils: added a /etc/modules.conf file (containing the defaults)
 - added stable kernel and devfs (opt dir)
 - fixed swapon permission on the install disc
 - fixed lilo config files (new devfs names and no "devfs=nomount")

*) 1999-12-28 (1.3.7 - 1.3.8)

 - Added ppc architecture (iMac), added lilo documentation
 - Added a lot of new TODO items after some BOF sessions

*) 1999-12-27 (1.3.7 - 1.3.8)

 - Fixed setup.d scripts: touching rcX.d/*, Ported povray to alpha
 - Fixed ext cksums, minor cleanups and new todo items

*) 1999-12-25 (1.3.7 - 1.3.8)

 - skaar: new mesalib/mesalib.conf and tcp_wrappers/setenv_glibc.patch

*) 1999-12-24 (1.3.6 - 1.3.7)

 - Fixed strace (new kernel headers), Fixed kernel config for alpha
 - Fixed install-disk intel build script, Released ROCK Linux 1.3.7

*) 1999-12-22 (1.3.6 - 1.3.7)

 - Updated: devfsd-v1.3.0, devfs-patch-v150 isdn4k-utils-9912191200,
            libxml-1.8.2, linux-2.3.34, netfilter-0.1.14, ntp-4.0.98h,
            pcmcia-cs-3.1.8, mesalib-3.1
 - Fixed pcmcia-cs, Added netscape xswallow plugin

*) 1999-12-20 (1.3.6 - 1.3.7)

 - Updated: gimp-1.1.14, isdn4k-utils-9912181200, pcmcia-cs-3.1.7, tcltk8.2.3
            freeamp-2.0.0, ggi-devel-991219, gnome-core-1.0.55, libxml-1.8.1
 - Created <rock-src>/Documentation/Misc-Stuff/Presentation/

*) 1999-12-16 (1.3.6 - 1.3.7)

 - Added: abiword (ext), sketch (ext), dia (ext), Updated var. URLs
 - MagicPoint: fixed directory structure, added demos
 - Ext Build Script: don't remove src when building a single ext
 - Updated: gnupg-1.0.1, libtool-1.3.4, netfilter-0.1.13
 - Fixed the cksums of the ext files

*) 1999-12-15 (1.3.6 - 1.3.7)

 - Minor install disk hacking: lilo.txt, "down reboot" -> "reboot"
 - Updated/fixed all GNOME URLs, removed gd.tuwien.ac.at gnome mirror
 - Updated other package/extension URLs, fixed the checkver code for exts
 - Updated: inn-2.2.2, linux-2.3.33, ntp-4.0.98g, devfs-148, devfsd-v1.2.14,
            ggv-0.82, gnumeric-0.45, libglade-0.11, libxml-1.8.0, mc-4.5.42
 - Fixed RLIM_INFINITY incompat. between glibc and new kernel
 - Fixed remaining bugs in the xcopilot package, Added NQC (Lego RCX devel)
 - Added: glade (base), magicpoint (ext)

*) 1999-12-12 (1.3.6 - 1.3.7)

 - Updated: bttv-0.7.10, devfsd-v1.2.12, emacs-20.5a, gsl-0.5,
            isapnptools-1.21, isdn4k-utils-9912091200, linux-2.3.31,
            minicom-1.83.0, modutils-2.3.8, pciutils-2.1.2, pcmcia-cs-3.1.6,
            proxy-2.1, util-linux-2.10d, xawtv-3.02, xscreensaver-3.22
 - Updated devfs-146, fixed the ext-files checksums
 - Removed emacs skip code in arch-conf/alpha/pkg-header

*) 1999-12-11 (1.3.5 - 1.3.6)

 - Fixed a small bug in the isapnptools package (dummy_release_c.patch)
 - Skaar: added whois, net-tools patch for adding 'whois' to /etc/services
 - Fixed install-disk intel code, Released ROCK Linux 1.3.6

*) 1999-12-06 (1.3.5 - 1.3.6)

 - Network setup script: added host- and domainname, added sshd setup script
 - Added 'doc' package category, added packages RFC and HOWTOs
 - Fixed ./scripts/make-misc makecross: unset AR, RANLIB and Co.
 - Improved (fixed) the no_complex_math hack for glibc on alpha
 - Fixed small bugs in util-linux (missing '#include <locale.h>', etc.)
 - Added some extensions from ripclaw, re-fetched all ext desc files

*) 1999-12-05 (1.3.5 - 1.3.6)

 - Ported to alpha: tetex (internal compiler error), pciutils
 - Added a ROCK Linux 1.2.0 ISO Image to the FTP archive
 - Added rock-src package (the rock source tree under /usr/src/rock-src)
 - Recreated arch-conf/alpha/gcc/*, added an alpha gcc wrapper
 - Added some cool features to the 'ipnm2nwbc' command
 - Wrote new /etc/skel/.profile file (example login script)
 - Improved the no_complex_math hack for glibc on alpha

*) 1999-12-04 (1.3.5 - 1.3.6)

 - Ripclaw: some more sloagans, skaar: oracle uids/gids and gmake alias
 - lynx: added documentation and help, TODO/IDEAS file updates
 - Updated: Code_Medic_source-1.0.5, isdn4k-utils-9912031200,
            binutils-2.9.5.0.22, grep-2.4, isapnptools-1.20,
            pcmcia-cs-3.1.5, pciutils-2.1.1, zip-23, a2ps-4.12h
 - Ported to alpha: openssl, lynx, libgr, isdn4k-utils

*) 1999-11-30 (1.3.5 - 1.3.6)

 - Updated: bsd-games-2.9, gimp-v1.1.13, gtk-engines-0.9,
            isdn4k-utils-9911291200, lsof_4.47, man-pages-1.28
 - Fixed small bugs in install_bin.c and the install-disks subdist
 - Ported to alpha: tcsh, xv, setserial and nethack

*) 1999-11-29 (1.3.5 - 1.3.6)

 - dump-config: wrote ipnatctl code and changed the man page
 - skaar: added fortify-netscape, ripclaw: added tara, ude, wm2 and wmx

*) 1999-11-27 (1.3.5 - 1.3.6)

 - skaar: updated strace-4.1 (base) and added xinetd-2.1.8.7 (ext)
 - made some minor alpha hackings, added lrzsz ([XYZ]-Modem Protocol)

*) 1999-11-25 (1.3.5 - 1.3.6)

 - Updated: Gtk-Perl-0.6123, aspell-.28.3, binutils-2.9.5.0.21, bttv-0.7.6,
            enlightenment-0.16.3, gimp-1.1.12, gnumeric-0.44, procmail-3.14,
            isdn4k-utils-9911231200, libglade-0.9, mtools-3.9.6-19991121,
            linux-2.3.29, modutils-2.3.7, util-linux-2.10c, xscreensaver-3.21

*) 1999-11-24 (1.3.5 - 1.3.6)

 - Fixed the 'make-build stops at ext-pkgs' bug ...
 - make-build: cleanup in the abortonerror = 0 code

*) 1999-11-23 (1.3.5 - 1.3.6)

 - Install Bin: fixed a bug in the pager, added 'sort-name' and 'sort-size'
 - Setup Scripts: Adapted install-shell, pkg-install and pkg-update

*) 1999-11-22 (1.3.5 - 1.3.6)

 - Install disk: added swapon/swapoff, runlvedit: ignorr backup files,
   gpm init script: little help, Documentation/INSTALL: small updates/fixes
 - Install disks: no System.map file on the boot and kombo images
 - Added ipnm2nwbc.c to the net-tools package, Added route for 127.0.0.0/24
 - Wrote first two setup scripts (00-general and 20-network)
 - Workarround for sh_pdksh bug on alpha in the first lines of mktar()

*) 1999-11-19 (1.3.5 - 1.3.6)

 - Added pgpgp to the gnupg package, Added: XaoS (ext), GnomePGP (base)
 - System twm.rc: Middle mousebutton on iconmgr raises the window
 - OpenSSL updates from skaar, Fixed little problem with cross-building shadow
 - SSL-Lynx patch from skaar (pkg-conf/lynx/lynx-282-ssl.patch)
 - Added Init Script for XDM, Enlightenment: disable pager -> use gnomes
 - Added the XF86-Contrib stuff to the xfree86 package

*) 1999-11-18 (1.3.5 - 1.3.6)

 - Updated: bttv-0.7.4, ggi-devel-991118, isdn4k-utils-9911171200,
            libglade-0.8, pine4.21, util-linux-2.10b, xawtv-3.01
 - Fixed: bttv, isdn4k-utils, xawtv, chess

*) 1999-11-17 (1.3.5 - 1.3.6)

 - Workarround: qt-1.44/src/widgets/qmenubar.cpp:541: Internal compiler error.
 - Fixed pilot-link (the value of '$LD' confused the configure script)
 - skaar: pkg-config/tcp_wrappers/setenv_glibc.patch, pkg-config/guile/*
 - Bind: added documentations (man pages, etc), Added GnuPG (base)

*) 1999-11-14 (1.3.4 - 1.3.5)

 - Updated: linux-2.3.28, devfs-v140, bind-8.2.2-P5, bttv-0.7.1,
            isdn4k-utils-9911131200, man-pages-1.27, ntp-4.0.98f,
            pcmcia-cs-3.1.4, samba-2.0.6
 - Fixed: setserial, emacs, Released ROCK Linux 1.3.5

*) 1999-11-12 (1.3.4 - 1.3.5)

 - Homepage updates, Minor cleanups in post_install.sh and network.conf
 - Downgraded to GNU termcap. It seams like the linux termcap couses some
   heavy bugs in the bash. I'm going to have a close look at this problem.
   A backup of the Linux termcap pkg is now stored in misc/termcap-pkg-x.
 - Some ROCK Router Linux hacking (mod-base.sh and rrl-tool.c)
 - Modified the install-disk subdist so it understands the new arch names
 - Merged packages 'sh' and 'pdksh', no '--posix-correctly' for sh_pdksh

*) 1999-11-10 (1.3.4 - 1.3.5)

 - Updated: Eterm-0.8.10, bind-8.2.2-P4, devfsd-v1.2.11, e2fsprogs-1.18,
            enlightenment-0.16.2, gdk-pixbuf-0.4, indent-2.2.4,
            irda-utils-0.9.5, isdn4k-utils-9911101200, lesstif-0.89.4,
            ntp-4.0.98e, rsync-2.3.2, smpeg-0.3.1, tcltk-822, xawtv-3.0
 - WU-FTPd: Use autoconf configure instead of old './build lnx'

*) 1999-11-07 (1.3.4 - 1.3.5)

 - Ported to alpha: ld.so, dump-config, install-disk, strace
 - Updated: linux-2.3.26 and devfs-136, Some minor documentation changes (FAQ)
 - Wrote the post_install.sh script (pkg-config/install-disk/post_install.sh)
 - Ported dump-config to iptables from netfilter-0.1.12
 - Patch: Installing termcap.so under it's soname in _all_ stages

*) 1999-11-05 (1.3.4 - 1.3.5)

 - Updated: alevt-1.5.1, binutils-2.9.5.0.19, devfsd-v1.2.9, esound-0.2.16,
            gnome-core-1.0.54, gnuplot-3.7.1, isdn4k-utils-9911051200,
            netfilter-0.1.12, termcap-2.0.8 (gnu termcap -> linux termcap)
 - Improved ./scripts/make-misc config, added some config variables

*) 1999-11-03 (1.3.4 - 1.3.5)

 - Updated: devfsd-v1.2.8, gimp-1.1.11, hdparm-3.6, isdn4k-utils-9911021200,
            mc-4.5.41, memtest86-2.1, ntp-4.0.98d, pciutils-2.1,
            xscreensaver-3.19, gnome-users-guide-1.0.72, util-linux-2.10
 - Wrote workarround for gcc-bug when compiling ncurses on the alpha
 - Patches for the alpha port: strace, gettext, joe

*) 1999-11-02 (1.3.4 - 1.3.5)

 - skaar: first version of the arch-conf/sparc directory
 - skaar: Added Gtk/GNOME Packages: gdk-pixbuf, bonobo and ggv
 - Updated: linux-2.3.25, devfs-v133, pgcc-2.95.2
 - Fixed xcopilot ext: crazy strings after dkpg-errors broke the console
 - X11 Startup: use gnome-session if available

*) 1999-11-01 (1.3.4 - 1.3.5)

 - skaar: enlightenment conf, esound/tcpwrappers, gdbm/install-compat
 - Ripclaw: documentation updates, sara and nmap updates
 - Patched for alpha cross-build: sh-utils, fileutils, bzip2, mmv,
               default config.cache, util-linux, install-disk
 - Wrote pkg-tools man page, Wrote './scripts/make-misc config'

*) 1999-10-29 (1.3.4 - 1.3.5)

 - Added a ROCK Linux business-card template
 - Fixed some typos in cdrecord (flistdel) and mesalib (puzzle.pz)
 - Removed all complex math for the alpha (glibc/no_complex_func.diff)
 - Fixed a typo in install_bin.c (added 'kB' for parsing the pkg size)
 - From skaar: systat ext pkg, bc with readline

*) 1999-10-28 (1.3.4 - 1.3.5)

 - Patch from Stanislav Grozev <tacho@orbitel.bg>: Updated audiofile-0.1.9,
         gnuchess/chess-5.0, console-tools-0.2.3, esound-0.2.15,
         gdm-2.0beta4, gxedit-1.23, pcmcia-cs-3.1.3 and updated a lot of
         broken download links.
 - Updated: linux-2.3.24, bttv-0.6.4h, devfsd-v1.2.6, enlightenment-0.16.1,
            gnome-libs-1.0.54, isdn4k-utils-9910281100, gcc-2.95.2,
            netfilter-0.1.11, imlib-1.9.8
 - Added cups (printing system) ext-package from skaar

*) 1999-10-27 (1.3.4 - 1.3.5)

 - Updated: a2ps-4.12g, devfsd-v1.2.5, devfs-v130, e2fsprogs-1.17,
            gnome-pim-1.0.55, iproute2-2.2.4-now-ss991023,
            isdn4k-utils-9910261100, lsof_4.46, ncurses-5.0, psmisc-19
 - Restructured the arch-conf directory tree
 - Added gcc wrappers for better optimization (and other fun)
 - Minor changes in the format of the /vad/adm/packages/* files

*) 1999-10-26 (1.3.4 - 1.3.5)

 - Improvements in the CD cover autocreation script.
 - Redesigned the CD set: bin-cd and source-cd (instead of base-cd and ext-cd)
 - Fixed a small (but letal) bug in the cd-rom download-sh script
 - Patched mtools for devfs device names, irda-utils: installing etc files
 - Fixed some problems with the sdl extension (freetype.h)
 - Removed dummy device from the confnet program on the install disk
 - Fixed the loadkeys code in /etc/init.d/boot and removed the setleds code
 - Added: hdparm-3.5 (base), apmd-3.0beta9 (base)
 - install-disk: better on-line help (point to Install Guide)

*) 1999-10-23 (1.3.4 - 1.3.5)

 - Added 'date +%s' output to buildlog, rock-debug: list ext-errors
 - Added ext packages from skaar: xmms, windowmaker, xpdf, vim
 - Updated: a2ps-4.12f, bind-8.2.2, coda-5.3.3, fnlib-0.5, gnome-print-0.10,
            gnumeric-0.41, isapnptools-1.19, libgtop-1.0.6, linux-2.3.23,
            modutils-2.3.6, mutt-1.0i, ntp-4.0.98b, wu-ftpd-2.6.0,
            isdn4k-utils-9910231100
 - Ext-Packages: checksums are now calculated using the _uncompressed_ files
 - Added a code-crusader extension

*) 1999-10-21 (1.3.3 - 1.3.4)

 - Added: mesalib (base - thanks to skaar), bttv (ext)
 - Activated (and adapted) the OpenGL Screensavers
 - Added pilot-devel (ext) and xcopilot (ext), memtest86-2.0a (opt)
 - Imported FAQ and INSTALL changes from Dag Bakke
 - Hacked arround with jx, code-crusader and code-medic
 - Released ROCK Linux 1.3.4

*) 1999-10-20 (1.3.3 - 1.3.4)

 - Added: lesstif (base), nedit (ext), xawtv (ext), alevt (ext)
 - Added ext pkgs from ripclaw: nmap (stable) and sara (devel)
 - Overworked the <rock-src>/misc/ext-intern/ structure

*) 1999-10-18 (1.3.3 - 1.3.4)

 - Added the Gzip and libz optimized code for ix86 (thx to skaar)
 - Disabled the Gzip/libz optimized code because I had some core-dumps with it
 - fdisk: replaced all the example disklabes with devfs device names
 - INSTALL: mini-man: fdisk - mke2fs - mkswap - swapon,  kernel: devfs
 - Solved some problems that rock-debug and cdrecord had with the /opt dir
 - INSTALL: wrote Appendix A (Notes for installing on ix86 PC systems)
 - More logo/cover/etc. improvements (renamed to create-gimp-scm.pl)
 - Added ipfwd, fixed workbone problems (kernel headers),
 - INSTALL: wrote Appendix B (Notes for installing on alpha PC systems)
 - Install-Shell: add buffer to pager, better help, no pager if !isatty()

*) 1999-10-17 (1.3.3 - 1.3.4)

 - Updated: a2ps-4.12d, binutils-2.9.5.0.16, coda-5.3.2,
            gnome-control-center-1.0.51, enlightenment-0.16.0,
            ggi-devel-991017, gimp-1.1.10, glib-1.2.6, gnome-core-1.0.53,
            gnome-games-1.0.51, gnome-libs-1.0.53, gnome-media-1.0.51,
            gnome-python-1.0.50, gtk+-1.2.6, gtk-engines-0.8, gtop-1.0.5,
            libgtop-1.0.5, libpng-1.0.5, linux-2.3.22, mtools-3.9.6-19991012,
            netfilter-0.1.10, pine4.20, tcl8.2.1, tk8.2.1,
            gnome-users-guide-1.0.71, util-linux-2.9z, xscreensaver-3.18
 - Removed xpm (allready part of xfree86), Updated a lot of package file URLs
 - Improved Documentation/Misc-Stuff/Official-Logos/createbooklet.pl
 - Created a CD-Rom label and improved the CD-Rom cover.
 - Added openssl package and xv/gzip+gv patch (thx to skaar)

*) 1999-10-16 (1.3.3 - 1.3.4)

 - Created ASCII Logo (Documentation/Misc-Stuff/Misc-Logos/ascii.txt)
 - Kicked out the files /etc/console and /etc/initctl (-> back to /dev/)
 - Auto-creation of a CD-Rom booklet with the install doc (gimp/script-fu)

*) 1999-10-15 (1.3.3 - 1.3.4)

 - Added to Documentation (file INSTALL): 'Install < configfile'
 - Fixed: coda ('true' at the end of coda_main()), netscape (URL)

*) 1999-10-13 (1.3.3 - 1.3.4)

 - Fixed some install-info problems (no empty /usr/share/info/dir file)
 - Merged the packages coda-server and coda-client to one big coda package
 - Kernel: the linux-kernel packages has now a "normal" package behavor
 - Install-shell: stdin not a tty => echo cmds, stdout not a tty => no anim
 - Install-shell: Beep after install, added Ctrl-C handler, better Ctrl-D code
 - Fixed: gnome-users-guide (no_gifs.patch), enlightenment (freetype_h.patch)

*) 1999-10-12 (1.3.3 - 1.3.4)

 - Added a lot of new todos to the Doc/Developers/TODO file.....
 - Updated: linux-2.3.21, devfs-123, modutils-2.3.5
 - Imported the new Documentation directory (thanks to Dag !!)

*) 1999-10-08 (1.3.3 - 1.3.4)

 - Added the alpha architecture (currently allmost untested)
 - Fixed some bugs in 'arch-conf/include/buildit.sh'

*) 1999-10-03 (1.3.3 - 1.3.4)

 - Allways test the file checksums before building an extension
 - Added an 'lofs' option to "./scripts/make-build buildit"
 - Started redesign of the ROCK Router Linux

*) 1999-10-02 (1.3.3 - 1.3.4)

 - Updated: ORBit-0.5.0, gnome-control-center-1.0.50, ee-0.3.11, freetype-1.3,
            gnome-core-1.0.51, gnome-games-1.0.50, gnome-libs-1.0.50,
            gnome-media-1.0.50, gnome-pim-1.0.50, gnome-utils-1.0.50,
            indent-2.2.3, knfsd-1.5.2, libxml-1.7.3, mc-4.5.40, texinfo-4.0,
            gnome-users-guide-1.0.70
 - Check for mmv, wget and bzip2 in scripts/help-config
 - Created mk-bootdisk.sh (install-disks subdist)

*) 1999-09-30 (1.3.3 - 1.3.4)

 - Added the 'fist' package (stackable file systems)
 - Some spell checking in the documentation (aspell is a cool package :-)
 - New README file (thanks to Dag B. <dag@bakke.com>)

*) 1999-09-29 (1.3.3 - 1.3.4)

 - Updated: knfsd-1.5.1, syslinux-1.48, ggi-devel-990929
 - Fixed a bug in the audofile pkg (dup braces in aupvlist.h)
 - Moved the GGI package from the base dist to the ext. dist
 - Added Extensions: FreeAmp, KDevelop, Rio-MPMan
 - ldconfig now allows shell pattern in /etc/ld.so.conf
 - Added Package: aspell, gaspell  (replacement for ispell)
 - Updated netscape extension to 'communicator-4.7'

*) 1999-09-28 (1.3.3 - 1.3.4)

 - Updated: ORBit-0.4.96, a2ps-4.12c, binutils-2.9.5.0.14, bsd-games-2.8,
            gnome-games-1.0.42, gnome-libs-1.0.42, gnome-pim-1.0.42,
            gnome-print-0.9, indent-2.2.2, libglade-0.7, libxml-1.7.2,
            netfilter-0.1.9, pcmcia-cs-3.1.1
 - Fixed a problem with the nescape extension (compat-libs)

*) 1999-09-26 (1.3.3 - 1.3.4)

 - Allow comments in archive/INDEX and opt/INDEX
 - The checkver script now also checks intern extensions
 - Updated: glib-1.2.5, gnome-core-1.0.41, gnome-games-1.0.41,
            gnome-print-0.8, gnumeric-0.38, gtk+-1.2.5, gtop-1.0.4,
            indent-2.2.1, libxml-1.7.1, make-3.78.1, mc-4.5.39,
            squid-2.2.STABLE5, util-linux-2.9y, libgtop-1.0.4
 - Added Extensions: Povray, SDL, SMPEG, PCCTS, CDRDAO, cdda2wav

*) 1999-09-25 (1.3.3 - 1.3.4)

 - Fixed small a bug in gnome-print (errno-xml)
 - OT: Created a Logo and a Cover for the official ROCK Linux 1.2.0 CDs
 - Fixed a nice bug in glibc-2.1.2 regarding Unix98 PTYs on devfs

*) 1999-09-23 (1.3.3 - 1.3.4)

 - Updated: ORBit-0.4.95, a2ps-4.12b, binutils-2.9.5.0.13,
            gnome-control-center-1.0.40, ggi-devel-990923, gnome-core-1.0.40,
            gnome-libs-1.0.40, gnome-media-1.0.41, gnome-objc-1.0.40,
            gnumeric-0.36, gtk-engines-0.7, gtop-1.0.3, libglade-0.6,
            libxml-1.7.0, make-3.78, netkit-telnet-0.14, xchat-1.2.1
 - Compile bash with the '--enable-usg-echo-default' configure option
 - Wrote the scripts pkg-update (perl) and pkg-check (sh)

*) 1999-09-19 (1.3.2 - 1.3.3)

 - Install disks: LILO Message, clean "down" implementation, init fixes
 - Updated: ggi-devel-990919, gnome-pim-1.0.10, netfilter-0.1.8,
            ntp-4.0.98a, ppp-2.3.10, xchat-1.2.0, syslinux-1.46, inn-2.2.1
 - Fixed knfsd init script, Checked out sgml-tools 1.0.9 and 2.0.2
 - Released ROCK Linux 1.3.3

*) 1999-09-17 (1.3.2 - 1.3.3)

 - Finished netscape extension (still not perfekt -> waiting for mozilla)
 - Misc. Documentation updates (thanks to Dag B. and Ripclaw).
 - Disabled system halt on the install disk (still open task).
 - Moved etc/skel/.profile creation from misc/sysfiles to
   pkg-config/sysfiles/sysfiles.conf (no dot files in the dist source)
 - Netscape/Shockwave: Autodedect for original package (ix86) or GPL clone

*) 1999-09-14 (1.3.2 - 1.3.3)

 - Updated: ggi-devel-990915, kdelibs-1.1.2, util-linux-2.9x,
            python-1.5.2, ntp-4.0.97f
 - Added first preview of the netscape extension (doesn't work: libstdc++)
 - Added pilot-link extension, Improved ./scripts/make-ext

*) 1999-09-12 (1.3.1 - 1.3.2)

 - Forced target to be $target in binutils, isdn4k-utils, tetex,
   gcc, ggi, libtiff and perl5 (autodedected to 'i586-*')
 - Added the buffer layer / page cache hotfix from Andrea Arcangeli
 - Added a "more/pg" like pager to the install shell
 - Added linear s3 framebuffer patch from pdh@colonel-panic.com
 - Released ROCK Linux 1.3.2

*) 1999-09-11 (1.3.1 - 1.3.2)

 - Updated: binutils-2.9.5.0.12, ggi-devel-990910, gimp-1.1.9,
            gnome-print-0.7, gnome-utils-1.0.13, gnumeric-0.35,
            gtk-engines-0.6, linux-2.3.18, pcmcia-cs-3.1.0, sharutils-4.2.1,
            gnome-users-guide-1.0.6, bzip2-0.9.5d, coda-5.3.1-2, groff-1.11.1
 - Changed the sp_lstchg field in /etc/shadow from "0" to "".
 - Fixed small but major bug in make-ext (sort -t: -k2 -u => sort -t: -k2)
 - Changed settings in login.defs: GID_MIN=1000, GETPASS_ASTERISKS=3
 - Fixed simple compile bug in gedit (gnome_app_remove_menu_range redefined)
 - Added the SCSI modules to the el torito boot image (cd-rom boot)

*) 1999-09-09 (1.3.1 - 1.3.2)

 - Fixed remaining kernel/modules build problems, upgraded to devfs-120
 - Wrote a simple workaround for a pgcs bug (bin86-0.4/as/as.c with -O6)
 - Added a "ROCK Linux" kernel boot logo (for systems with framebuffers)
 - Changed default password type to MD5 crypted passwords (shadow pkg)

*) 1999-09-07 (1.3.1 - 1.3.2)

 - Added support for pgcc (pentium optimized gcc)
 - Redesigned the flist code (again :-)
 - Fixed a config.guess / config.sub problem with 686 PCs and libgr
 - Updated: ORBit-0.4.94.tar.gz, XFree86-3.9.16, binutils-2.9.5.0.11,
            coda-5.3.1, ee-0.3.10, ggi-devel-990906, glibc-2.1.2,
            glibc-linuxthreads-2.1.2, gnome-libs-1.0.16, imlib-1.9.7,
            irda-utils-0.9.4, libglade-0.5, mc-4.5.38, netfilter-0.1.7,
            procps-2.0.3
 - Updated Linux Kernel and Modules to 2.3.17

*) 1999-09-05 (1.3.0 - 1.3.1)

 - Added iptables (+ extensions) support to the dump-config package
 - Added "internal extensions" which are part of the main source tree
 - Changed PerlFS from the base packages to the extensions
 - Created Documentation/LOGOS/ with an image by ripclaw
 - Released ROCK Linux 1.3.1

*) 1999-09-04 (1.3.0 - 1.3.1)

 - Added support for /var/log/faillog (simple touch in shadow.conf)
 - Removed the dirs $base/flists, $base/confc and $base/logs
 - The example network conf now uses iptables instead of ipchains
 - Added the install modules disk which adds support for scsi, net, etc.
 - Added the Tcl/Tk package. No additional tcl extensions (yet :-) ...
 - Wrote another netfilter /usr/local -> /usr patch

*) 1999-09-02 (1.3.0 - 1.3.1)

 - Fixed include problem which redefined struct ustat: workbone - linux-2.3.16
 - Replaced the remainging "__initfunc" symbols in the kernel sources and the
   netfilter sources with the new "__init" symbols.
 - Fixed a problem the new patch program coused in the xfree86 build

*) 1999-09-01 (1.3.0 - 1.3.1)

 - Extension system version 1 finished. all we need now are some extensions.
 - Renamed the directory of the base dist from rock-linux-* to rock-base-*
 - Removed gnome-chess, Run rock-debug _after_ all packages and extensions
 - Removed the pkg-header functions extrthis() and checkneed()
 - Updated: linux-2.3.16, ImageMagick-4.2.9, binutils-2.9.5.0.10,
            console-tools-0.2.2, console-data-1999.08.29, ggi-devel-990901,
            isdn4k-utils-9908291100, patch-2.5.4, xchat-1.0.0
 - Replaced a lot of "xxx || exit 1" blocks with "set -e <...> set +e"

*) 1999-08-31 (1.3.0 - 1.3.1)

 - Added Download/Check Script, ./scripts/make-misc makeiso <type> <arch>
 - The modules package now contains all SCSI and Network hardware drivers
 - Wrote a quick and dirty patch to linux 2.3.15 to make all mods compile
 - Renamed archive/README-ROCK and opt/README-ROCK to */INDEX
 - Wrote the extension package system and a demo extension (nasm). Have a
   look a scripts/make-ext and ext-config/* for details.
 - Added irda-utils-0.9.2 (infrared protocols)

*) 1999-08-30 (1.2.0 - 1.3.0)

 - Released ROCK Linux 1.3.0

*) 1999-08-29 (1.2.0 - 1.3.0)

 - Fixed a bug in imagemagick (config.h defined SVR4 and this confused X11)
 - Wrote a workaround for the OpenGL detection of XScreensaver
 - Got rid of <arch>-<prog> in binutils and gcc if making a native build
 - Patched pcmcia-cs to the newest devel snapshot to make it work with the
   new linux kernel. I will fall back to the stable tree as soon as it
   supports Linux Kernel Verions >= 2.3.15.
 - Override configure options for netkit-* pkgs (it doesn't know --host=...)
 - Modified the coda configure script to except the --host=... value
 - Patched cmu-snmp to not depend on <linux/tasks.h>, Added emacs-20.4

*) 1999-08-28 (1.2.0 - 1.3.0)

 - Using the --host option in default $confopt for cross and native builds.
   This should work arround some problems with various versions of the
   config.guess script which is used to guess the host type if --host is
   missing.
 - Removed 'umask', 'mesg' and 'ulimit' calls in /etc/profile. Those can be
   configured from /etc/login.defs.
 - The './scripts/make-build buildit copy ...' now uses 'cp' with '-u'.
 - Added support for touch /var/log/lastlog (simple touch in shadow.conf)
 - Patched config.sub and configure of strace for 686 CPUs
 - Got rid of special permission and files in the source tree
 - Replaced ipchains with netfilter, removed lm_sensors
 - Updated: net-tools-1.53, ggi-devel-990828
 - Changed /usr/local prefix to /usr: zlib, screen

*) 1999-08-27 (1.2.0 - 1.3.0)

 - Updated to Linux Kernel 2.3.15 (adapted glibc because of linux/tasks.h)
 - Updated: binutils-2.9.5.0.8, ggi-devel-990827, glib-1.2.4, gtk+-1.2.4,
   gnumeric-0.32, iproute2-2.2.4-now-ss990824, libglade-0.4, man-pages-1.26,
   raidtools-19990824-0.90, shadow-19990827, util-linux-2.9w
 - Added proxy-2.0 as optinal src (to be used in the router subdist)

*) 1999-08-25 (1.2.0 - 1.3.0)

 - Updated to Linux Kernel 2.3.15-pre3 and devfs 118
 - Fixed the package-build problem with Linux in stage 5
 - Replaced 'tar -I' with 'tar --use-compress-program=bzip2' where it could
   be started in en env with a tar which doesn't the -I option.
 - New pkg-remove prog. Its more simple and much faster now.

*) 1999-08-23 (1.2.0 - 1.3.0)

 - Glibc now dedects gcc-2.95.1, bison can be cross compiled
 - Only build the package file and description in the last stage
 - Log the package builds for all stages in /vad/adm/packages/*

*) 1999-08-22 (1.2.0 - 1.3.0)

 - Wrote descriptions to all patches (Documentation/PATCHES)
 - Wrote first release of the ROCK Router Linux Apache Extension
 - Fixed the remaining compile-problems in XFree86 3.9.15

*) 1999-08-21 (1.2.0 - 1.3.0)

 - Fixed a memory leak in the patch programm
 - Updated: ORBit-0.4.93, binutils-2.9.5.0.7, control-center-1.0.6, ee-0.3.9,
            gcc-2.95.1, ggi-devel-990821, gnome-libs-1.0.14,
            isdn4k-utils-9908211100, knfsd-1.4.7, mtr-0.41, mutt-0.95.7i,
            screen-3.9.4, sh-utils-2.0, tcsh-6.09, apache-1.3.9
 - Upgraded to Linux Kernel 2.3.10 (devfs isn't ready for 2.3.14)

*) 1999-08-20 (1.2.0 - 1.3.0)

 - Fixed small bug in 'dump-config ipchains' ('!' before address and/or port)
 - Added a SysV start/stop script for Bind (the ISC DNS Server)
 - Upgraded to XFree86 3.9.15 (first Beta of XFree86 4.0)

*) 1999-08-18 (1.2.0 - 1.3.0)

 - Wrote new TODO List for 1.3.x development
 - Added an LSM entry (Documentation/LSM)

*) 1999-08-17

 - Released ROCK Linux 1.2.0

*) 1999-08-13 (1.0b14 - 1.0b15)

 - Creation of the file /etc/VERSION with the ROCK Linux version information
 - Move doc under /usr/share/doc/$pkg to /usr/share/doc/packages/$pkg.
 - Solved the problem with i386-unknown-linux-gcc-1
 - Some cleanups in scripts/help-adapt
 - Added the 'mkisofs-extra-boot' patch from pdh@colonel-panic.com
 - Updated: ggi-devel-990813, isdn4k-utils-9908131100, ppp-2.3.9

*) 1999-08-12 (1.0b14 - 1.0b15)

 - Finished my work on the 'set -e' modifications. All compiles clean again.
 - Updated: ggi-devel-990812, gnome-python-1.0.4, isdn4k-utils-9908111100
 - Auto-copy of cross-building include files (arch-conf/include/buildit.sh)

*) 1999-08-11 (1.0b14 - 1.0b15)

 - Modified the X Startup files for enlightenment+gnome. No gnome-session
   at the moment (doesn't work - don't know why) and no gdm. The panel
   doesn't work as taskbar (don't know why eighter). I'm not going to look
   deeper at this stuff. Would be great if someone else would have a look at
   this things and send me a big patch ...
 - Added Eterm-0.8.9, Added URLs of the HOWTOs, FAQs and RFCs to the doc.
 - Package Version "0000" is converted to the ROCK Release Number

*) 1999-08-10 (1.0b14 - 1.0b15)

 - Updated: bzip2-0.9.5c, ggi-devel-990809, libglade-0.3, linux-2.2.11
 - Added opt. sourcecode: squid-2.2.STABLE4, samba-2.0.5a, inn-2.2
 - Got rid of the "direct exectuteables" and added 'set -e' to pkg-default
 - Removed xmkdir (use 'mkdir -p' instead) and xcp (unse 'cp -a' instead)
 - Removed all '|| exit 1' which are not needed anymore (set -e)
 - Fixed a bug in the gpm init script (doesn't kill itself anymore)

*) 1999-08-09 (1.0b14 - 1.0b15)

 - Updated: XFree86-3.3.4, ggi-devel-990808, isdn4k-utils-9908051100,
            mpeg_lib-1.3.1, textutils-2.0, mtools-3.9.6-19990807
 - All downloaded files are now stored as *.bz2 (even if they where *.gz)

*) 1999-08-05 (1.0b14 - 1.0b15)

 - Fixed Install-Disks bugs (TRANS.TBL is no pkg, Shell-Variables in the
   Install/Net-Install scripts, libnss_file.so is not needed anymore)
 - Put standards.info on the flistdel index and fetch in extra as opt file
 - Updated: bzip2-0.9.5b, gimp-1.1.8, pcmcia-cs-3.0.14

*) 1999-08-03 (1.0b13 - 1.0b14)

 - Patched some pkgs for gcc 2.95 (kdelibs, xanim, netkit-telnet, coda)
 - Released Beta Version 1.0b14

*) 1999-08-02 (1.0b13 - 1.0b14)

 - Patched some pkgs for gcc 2.95 (xfree86, autoconf)
 - Removed dummy driver from the default network config
 - Default agetty on /dev/conosle is now running at 9600 baud

*) 1999-08-01 (1.0b13 - 1.0b14)

 - Patched some pkgs for gcc 2.95 (glibc, ld.so)
 - New standard kernel config: only the most common drivers, smp

*) 1999-07-31 (1.0b13 - 1.0b14)

 - Updated: gcc-2.95, lsof_4.45_W, units-1.55
 - Dump-config: Various documentation updates, 'modules' mode
 - Added the 'ROCK ROUTER Linux' subdistribution

*) 1999-07-30 (1.0b13 - 1.0b14)

 - Updated: cvs-1.10.7, ggi-990730, gnome-libs-1.0.12, gnome-utils-1.0.12
 - Finished the first release of the dump-config program (cool stuff!)

*) 1999-07-29 (1.0b13 - 1.0b14)

 - Added: nasm-0.98 (opt), syslinux-1.45 (opt)
 - Updated: PerlFS-0.07, ggi-devel-990729, isdn4k-utils-9907271100 
 - Wrote the first dump-config code (look at misc/dump-config/*)
 - No login program for the Install/Rescue Disk - just open a root shell
 - Changed /etc/inittab: On default only open a agetty on /dev/console

*) 1999-07-25 (1.0b13 - 1.0b14)

 - Updated: ggi-devel-990725, gnome-core-1.0.9, gnome-pim-1.0.9,
            indent-2.2.0, isdn4k-utils-9907241100, raidtools-19990724-0.90
 - Redesigned the Installation procedure: Now we can install over FTP/HTTP!
 - Added dhcp-2.0, updated the network start-stop-scripts for DHCP

*) 1999-07-23 (1.0b13 - 1.0b14)

 - Updated: console-tools-0.2.1, e2fsprogs-1.15, ggi-devel-990723, gimp-1.1.7,
            isdn4k-utils-9907211100, man-pages-1.25, util-linux-2.9v

*) 1999-07-16 (1.0b12 - 1.0b13)

 - Updated: ggi-devel-990716, indent-2.1.1, knfsd-1.4.6, libxml-1.4.0,
            lsof_4.44, xscreensaver-3.17, PerlFS-0.06, devfsd-v1.2.3,
            isdn4k-utils-9907161100, isdn-9907161100.patch, devfs-99.4.patch
 - Released Beta Version 1.0b13

*) 1999-07-14 (1.0b12 - 1.0b13)

 - Updated: raidtools-19990713-0.90 ; Added: fips-20, rawrite-3
 - Added a dosutils dir to the pc cdrom with fips, warwite and lilo in it

*) 1999-07-13 (1.0b12 - 1.0b13)

 - Updated: ggi-devel-990713, gnumeric-0.31, isdn4k-utils-9907121100,
            util-linux-2.9u, mc-4.5.37, pdksh-5.2.14
 - Added: qt-1.44, kdelibs-1.1.1, tree-1.2, gnome-print-0.4, libglade-0.2
 - The puzzle script checks now for priroity dups (found allready a few :-)
 - Glibc and gcc names fix: only force <prog>-<arch> if it's a cross-build
 - Termcap installed the termcap file in /etc instead of $root/etc -> fixed
 - Replaced mail.local with debians mailx package

*) 1999-07-11 (1.0b12 - 1.0b13)

 - Updated: ImageMagick-4.2.8, ORBit-0.4.92, bison-1.28, bzip2-0.9.5a,
            gawk-3.0.4, ggi-devel-990711, gnome-admin-1.0.3, knfsd-1.4.4,
            gnome-media-1.0.9.1, gnumeric-0.29, indent-2.1.0, tar-1.13,
            iproute2-2.2.4-now-ss990630, isdn4k-utils-9907111100,
            libtool-1.3.3, mc-4.5.36, mtools-3.9.6, shadow-19990709,
            teTeX-src-1.0.6, util-linux-2.9t, cmu-snmp-linux-3.7
 - Changed the default settings of XTerm to open a login shell
 - Minor updates to a big number of packages
 - Wrote the Package descriptions for _all_ packages

*) 1999-06-29 (1.0b12 - 1.0b13)

 - Updated: ggi-devel-990629, isdn4k-utils-9906291100, knfsd-1.4.2,
            Welcome2L-3.04

*) 1999-06-26 (1.0b12 - 1.0b13)

 - Updated: coda-5.2.7.tgz, ggi-devel-990626, gnome-libs-1.0.11,
            gnumeric-0.27, isdn4k-utils-9906261100, pcmcia-cs-3.0.13,
            devfsd-v1.2.2, devfs-patch-v99.3, tetex-1.0.5
 - Improved the ckeckver retry code (It's great stuff now! :-)
 - Added: ltrace_0.3.6, pciutils-2.0, at-2.9b
 - Redesigned /etc/passwd, /etc/shadow and /etc/group

*) 1999-06-24 (1.0b12 - 1.0b13)

 - Updated: ggi-devel-990624, gnome-core-1.0.7, isdn4k-utils-9906241100,
            knfsd-1.4.1, libxml-1.2.0, bind-8.2.1

*) 1999-06-20 (1.0b12 - 1.0b13)

 - Added more information to the package desc files (build host and time)
 - Updated the README file and some other Documentation
 - Exclude debug-files from the CD-ROM image (mkisofs -m <glob>)
 - Corrected the Package Ser. settings (base, util, x11, com, fun)
 - Precompile the pcmcia-cs package and the kernel bzImage
 - Only one kernel-config for the modules and the bzImage

*) 1999-06-19 (1.0b12 - 1.0b13)

 - Switched over to the .bz2 source package: ipchains, knfsd, linux, lynx,
            man, man-pages, modutils, net-tools, raidtools, util-linux, xggi
 - Updated: ggi-devel-990619, isdn4k-utils-9906191100, lm_sensors-2.3.4
 - Removed: alien, gperf, superopt, nana, guile, pcapture
 - Building bzip2 allready in stage 1 (cross-build)
 - Creating the binary packages as .tar.bz2 files
 - Creating the rock sourcode distribution as .tar.bz2 file
 - Added retry functionality to make-misc checkver

*) 1999-06-17 (1.0b11 - 1.0b12)

 - Fixed compile-problem: linux-2.2.10 <-> lilo-21
 - Released Beta Version 1.0b12

*) 1999-06-16 (1.0b11 - 1.0b12)

 - Updated: linux-2.2.10, alien_6.39, ggi-devel-990616, xchat-0.9.7
            isdn4k-utils-9906141100, man-pages-1.24, recode-3.5
 - Upd. Kernel Patches: isdn-9906111100, ikd-2.2.9-1, devfs-99.2, remount-5

*) 1999-06-12 (1.0b11 - 1.0b12)

 - Updated: xscreensaver-3.14, ORBit-0.4.90, devfsd-v1.2.1,
            ggi-devel-990612, gsl-0.4.1, isdn4k-utils-9906121100,
            knfsd-1.4, mtr-0.39, pcmcia-cs-3.0.12, shadow-19990607
 - Improved rock-debug (duplicated bins check)
 - Removed the X11 documentation Package (X333src-3.tgz)
 - Improved make-misc checkver (multiple connections)

*) 1999-06-06 (1.0b11 - 1.0b12)

 - Added: bsd-games-2.7, iproute2-2.2.4-now-ss990530, PerlFS-0.05
 - Removed: man9 (there are better and not so old documentations available)
 - Updated: coda-5.2.4, ggi-devel-990606, gimp-1.1.6, gnome-core-1.0.6,
            isdn4k-utils-9906051100, knfsd-1.3.3a, libxml-1.1.0,
            lm_sensors-2.3.3, lynx2-8-2, mutt-0.95.6i, wu-ftpd-2.5.0

*) 1999-06-03 (1.0b11 - 1.0b12)

 - Updated: ggi-devel-990603
 - Auto creation of the archs "i486-pc", "i586-pc" and "i686-pc".

*) 1999-06-02 (1.0b11 - 1.0b12)

 - Updated: ImageMagick-4.2.7, ggi-devel-990602, gnome-libs-1.0.10,
            gnome-media-1.0.9, gnome-pim-1.0.8, indent-1.10.0,
            ipchains-1.3.9, isdn4k-utils-9905281100, knfsd-1.3.3,
            libgtop-1.1.0, libtool-1.3.2, mc-4.5.33, pcmcia-cs-3.0.11,
            util-linux-2.9s, console-tools-0.2.0, console-data-1999.04.15

*) 1999-05-30 (1.0b11 - 1.0b12)

 - Redesigned the Architecture stuff (arch != cpu). The new default
   architecture is "i386-pc" (instead of "i586" - I got some "Illegal
   Instructions" on pre-pentiums when optimicing for pentiums ...  :-).
 - added two new rock-debug checks (missing files and bad files)

*) 1999-05-27 (1.0b11 - 1.0b12)

 - Updated: gnome-python-1.0.3, libghttp-1.0.4, mc-4.5.32, pcmcia-cs-3.0.10
 - Solved a Problem with XGGI (XGGI doesn't support XFree86 Input Ext.).
 - Switched to the strace patch from Stanislav Brabec and Massimiliano Ghilardi.

*) 1999-05-25 (1.0b11 - 1.0b12)

 - Updated: binutils-2.9.1.0.25, ggi-devel-990525, glibc-2.1.1,
            glibc-linuxthreads-2.1.1, isdn4k-utils-9905241100, updated-2.11

*) 1999-05-23 (1.0b11 - 1.0b12)

 - Improved pkg-install and pkg-remove (process more pkgs at once)
 - Updated: alien_6.38, gdbm-1.8.0, ggi-devel-990523, gnumeric-0.26
            knfsd-1.3.2, ntp-4.0.93a

*) 1999-05-18 (1.0b11 - 1.0b12)

 - Updated: ImageMagick-4.2.5, alien_6.37, coda-5.2.3, cvs-1.10.6,
            ggi-devel-990518, ntp-4.0.93, procinfo-17, xggi-1.6.1

*) 1999-05-15 (1.0b11 - 1.0b12)

 - Updated: Gtk-Perl-0.5121, ggi-devel-990515, glib-1.2.3, gtk+-1.2.3,
            gnome-network-1.0.2, isdn4k-utils-9905121100, knfsd-1.3.1,
            lm_sensors-2.3.2, lsof_4.43, ppp-2.3.8, ssh-1.2.27

*) 1999-05-07 (1.0b11 - 1.0b12)

 - Updated: alien-6.36, coda-5.2.2, ggi-devel-990507, gimp-1.1.5,
            gnome-libs-1.0.9, gnumeric-0.25, isdn4k-utils-9905051100,
            less-340, libghttp-1.0.3, libtool-1.3, lm_sensors-2.3.1,
            mc-4.5.31, nana-2.4, util-linux-2.9r, Image-Magic-4.2.4

*) 1999-04-27 (1.0b11 - 1.0b12)

 - Updated: ImageMagick-4.2.3, alien-6.33, binutils-2.9.1.0.24,
            ggi-devel-990426, gnome-python-1.0.2, isdn4k-utils-9904261100,
            lm_sensors-2.3.0, mutt-0.95.5i, net-tools-1.52, ntp-4.0.92h
 - Added: gtk-perl-0.5120, genromfs-0.3, coda-5.2.0, raidtools-19990421-0.90

*) 1999-04-25 (1.0b11 - 1.0b12)

 - Fixed a bug in the Install Shell (Ctrl-D and empty lines)
 - Extended the Install Shell (Size Infos in the lists)

*) 1999-04-23 (1.0b11 - 1.0b12)

 - Updated: mtools-3.9.5, ggi-devel-990421
 - Added: tcp_wrappers-7.6, portmap-4, knfsd-1.2.2a
 - Fixed more bugs with the boot, root, and kombo disk-images

*) 1999-04-21 (1.0b11 - 1.0b12)

 - Redesigned the Kernel-Patches Stuff
 - Added a Kernel-Patch which updates the ISDN Code
 - Added: WorkBone-2.4, ElectricFence-2.0.5, ntp-4.0.92g

*) 1999-04-20 (1.0b11 - 1.0b12)

 - Fixed a few bugs with the boot, root, and kombo disk-images
 - Added automatic compilation of kernel modules
 - Added the ppp-2.3.7 and isdn4linux-9904201100 packages

*) 1999-04-18 (1.0b10 - 1.0b11)

 - Updated: ImageMagick-4.2.2, ggi-devel-990418, glib-1.2.2, gtk+-1.2.2,
            gnumeric-0.24, netkit-ntalk-0.11, procps-2.0.2, linux_logo-3.0,
            procmail-3.13.1, gdb-4.18
 - Released Beta Version 1.0b11

*) 1999-04-17 (1.0b10 - 1.0b11)

 - Updated: linux-2.2.6, devfs-97, strace-3.1.0.1

*) 1999-04-16 (1.0b10 - 1.0b11)

 - Fixed a (letal) bug in the '$flistdel' code I introduced at 1999-04-01.
 - Root now has an alias for 'ls' to use allways the '-a' option.
 - Sendmail now works together with bind.

*) 1999-04-14 (1.0b10 - 1.0b11)

 - Updated: ORBit-0.4.3, alien-6.31, gnome-control-center-1.0.5,
            enlightenment-0.15.5, ggi-devel-990414, gnome-core-1.0.5,
            gnome-libs-1.0.8, gnome-pim-1.0.7, gnuchess-4.0.pl80,
            gnumeric-0.23, less-337, lsof-4.42, man-1.5g, mc-4.5.30,
            mtr-0.37, perl-5.005_03, rsync-2.3.1, xggi-1.6.0,
            gnome-users-guide-1.0.5, gnats-3.110

*) 1999-04-03 (1.0b10 - 1.0b11)

 - Updated: cvs-1.10.5, binutils-2.9.1.0.23, gdb-4.17.11
 - Fixed a glibc-2.1 <-> libgr bug (yet another 'stdout problem')
 - Var. improvements in the system.twmrc config file

*) 1999-04-01 (1.0b10 - 1.0b11)

 - Added: gnome-chess-0.0.2
 - Joe is now using the ncurses library
 - Fixed some file-sharing problems with libgr and lib{jpeg,png,tiff,zlib}
 - Fixed some other file-sharing problems with gnome-python and python

*) 1999-03-31 (1.0b10 - 1.0b11)

 - Auto-Creation of a kernel, a boot floppy and a root floppy
 - The auto-created ISO-9660 CD-ROM image is now bootable

*) 1999-03-27 (1.0b10 - 1.0b11)

 - Updated: ggi-devel-990330,  gimp-1.1.4, gnome-core-1.0.4,
            linux-2.2.5, man-pages-1.23, mc-4.5.28

*) 1999-03-26 (1.0b10 - 1.0b11)

 - Updated: gnome-libs-1.0.5, ggi-devel-990324, glib-1.2.1, gtk+-1.2.1,
            ORBit-0.4.2, control-center-1.0.4, gnome-admin-1.0.2,
            gnome-objc-1.0.2

*) 1999-03-24 (1.0b10 - 1.0b11)

 - Updated: linux-2.2.4, apache-1.3.6, ggi-devel-990324, procps-2.0.1,
            xanim-2801, wu-ftpd-2.4.2

*) 1999-03-21 (1.0b9 - 1.0b10)

 - Reorganised runlevel numbers
 - Added: isapnptools-1.18, loadlin-16
 - Updated: enlightenment-0.15.4, ggi-devel-990321, gnome-games-1.0.2,
            gnome-libs-1.0.4, gtop-1.0.2, libghttp-1.0.2, mc-4.5.27,
            net-tools-1.51
 - Minor changes in the /etc/dircolors file
 - Released Beta Version 1.0b10

*) 1999-03-18 (1.0b9 - 1.0b10)

 - Updated: gnome-control-center-1.0.2, egcs-1.1.2, enlightenment-0.15.3,
            enlightenment-conf-0.15, ggi-devel-990318, gnome-core-1.0.3,
            gnome-libs-1.0.3, gnome-pim-1.0.3, gnome-python-1.0.1,
            gnumeric-0.18, libghttp-1.0.1, mc-4.5.26, mtools-3.9.4,
            mtr-0.33, procps-2.0, rsync-2.3.0, xanim2800, gimp-1.1.3
 - Added: cmu-snmp-3.6, bind-8.2

*) 1999-03-09 (1.0b8 - 1.0b9)

 - Updated: linux-2.2.3
 - Finished full rebuild: 23 hours on my workstation (AMD K6-2 300Mhz,
   128 MB RAM, Adaptec AHA-294X Ultra Wide SCSI, IBM DDRS-39130W HD)
 - Released Beta Version 1.0b9

*) 1999-03-08 (1.0b8 - 1.0b9)

 - Added: gnome-utils-1.0.1, gnome-pim-1.0.1, gnome-admin-1.0.1,
          gnome-media-1.0.1, gnome-audio-1.0.0, gnome-network-1.0.1,
          gnome-games-1.0.1, ee-0.3.8, gedit-0.5.1, GXedit-1.22,
          gnotepad+-1.0.8, gnumeric-0.15, gtop-1.0.1, gdm-1.0.0, xchat-0.9.1
 - Updated: ggi-devel-990308, mtr-0.3, shadow-19990307

*) 1999-03-07 (1.0b8 - 1.0b9)

 - Added: ORBit-0.4.0, audiofile-0.1.6, esound-0.2.8, gsl-0.4,
          gtk-engines-0.5, libgr-2.0.13, glib-1.2.0, gtk-1.2.0,
          gnome-libs, libgtop, libxml, libghttp, gnome-obj,
          gnome-python, gnome-control-center, enlightenment-conf,
          gnome-core, gnome-users-guide
 - Updated: mc-4.5.23

*) 1999-03-06 (1.0b8 - 1.0b9)

 - Removed a "feature" from the 'file' command which coused a lot of
   troubles in the autobuild process when used by libtool's 'ltconfig'.
 - Updated: console-tools-1999.03.02, ggi-devel-990306, mtr-0.31,
             mutt-0.95.4i, imlib-1.9.4, vera-1.5

*) 1999-03-03 (1.0b8 - 1.0b9)

 - Ported the ikd and the logo-select patches to the 2.2.2 kernel.
 - Various improvements to the twm config file (system.twmrc).

*) 1999-03-01 (1.0b8 - 1.0b9)

 - Updated: ImageMagick-4.2.1, enlightenment-0.15.0-19990225,
            lsof_4.41_W, minicom-1.82.1
 - checkver: a2ps, teTeX-src, teTeX-lib, XFree86, minicom, egcs
 - Added: xanim

*) 1999-02-26 (1.0b8 - 1.0b9)

 - pkg-remove handles now directories better
 - hotfix to 'mtr' because the new gtk

*) 1999-02-25 (1.0b8 - 1.0b9)

 - Some improvements in 'runlvedit'
 - PCMCIA-CS Install-Improvements (init-script)
 - Finished a whole rebuild (began yesterday - took about 19 hours :-)
 - Upgraded to gtk-1.1.16 and gimp-1.1.2 (devel versions)
 - Moved the whole GGI stuff in only 2 packages: kgicon and ggi
 - Added: gnuplot-3.7, xpm-3.4k, freetype-1.2
 - Updated: enlightenment-0.15.0-19990224, updated-2.0, ggi-devel-990225,
            bash-2.03, linux-2.2.2

*) 1999-02-23 (1.0b8 - 1.0b9)

 - Install ghostscript-fonts as part of ghostscript
 - Removed the 'createflist' build flag
 - Wrote the pkg-diff tool

*) 1999-02-22 (1.0b8 - 1.0b9)

 - Some install-disks improvements
 - Added: a2ps-4.12

*) 1999-02-21 (1.0b8 - 1.0b9)

 - Updated: pcmcia-cs-3.0.9, bison-1.27, ggi-devel-990221, grep-2.3,
            imlib-1.9.3, lm_sensors-2.2.2, readline-4.0

*) 1999-02-12 (1.0b7 - 1.0b8)

 - Fixed a few bugs in the install-disk package
 - Released 1.0b8

*) 1999-02-12 (1.0b7 - 1.0b8)

 - Updated: imlib-1.9.2, lsof_4.40_W, util-linux-2.9i,
            ImageMagick-4.2.0, mutt-0.95.3i
 - Install the pcmcia-cs sources in /usr/src

*) 1999-02-11 (1.0b7 - 1.0b8)

 - Updated: ImageMagick-4.1.9, bison-1.26a, ggi-devel-990211, gzip-1.2.4a,
            net-tools-1.50, pine-4.10, sendmail-8.9.3, sysklogd-1.3-31

*) 1999-02-08 (1.0b7 - 1.0b8)

 - Updated: glibc-2.1, linux-2.2.1

*) 1999-01-25 (1.0b7 - 1.0b8)

 - ImageMagick seams to work now
 - Various bugfixes: tetex, cron
 - Nice animation as new Install Shell busy display

*) 1999-01-24 (1.0b7 - 1.0b8)

 - Fixed problems with the new glibc/kernel (gpm, lm_sensors)
 - Updated: ImageMagick-4.1.8, bash-2.02.1, libpng-1.0.3,
   libungif-4.1.0, ggi-devel-990124

*) 1999-01-23 (1.0b7 - 1.0b8)

 - Updated: linux-2.2.0pre9, glibc-2.1.111
 - Added a "busy display" to the Install Shell

*) 1999-01-20 (1.0b6 - 1.0b7)

 - Fixed general stage 5 / rebuild problem with /usr/info/dir
 - Ported: libmpeg-1.3.0
 - Updated: shadow-981228

*) 1999-01-19 (1.0b6 - 1.0b7)

 - Fixed problems with the new glibc/kernel (strace, lsof, net-tools)
 - Created subdistributions "root" and "install-disks"
 - Updated X11R6.3 to XFree86 3.3.3.1
 - Some documentation updates

*) 1999-01-18 (1.0b6 - 1.0b7)

 - Now we use 'dircolors' to configure the colored ls
 - Updated: alien-6.28, automake-1.4, e2fsprogs-1.14,
   lm_sensors-2.1.2, linux-2.2.0pre7, glibc-2.1.110
 - Ported: xaw3d-1.3, ghostscript-5.50, gv-3.5.8
 - teTeX seams to work now as it should be ....

*) 1999-01-17 (1.0b6 - 1.0b7)

 - Fixed Unix98 stuff in the screen package
 - teTeX compiles and installs (after 3 days debugging) - but
   there are still open tasks with teTeX ...

*) 1999-01-13 (1.0b6 - 1.0b7)

 - Synced up with the new direcory tree of the GNU archive
 - Updated: autoconf-2.13, apache-1.3.4, lilo-colors-1.21.0
 - Ported LaTeX (tetex) to ROCK Linux (not finished)
 - Improved the Install Shell

